> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nudgen.net/llms.txt
> Use this file to discover all available pages before exploring further.

# Update brand settings



## OpenAPI

````yaml /openapi.json patch /api/v1/settings/brand
openapi: 3.1.0
info:
  title: Nudgen Developer API
  version: 1.0.0
  description: >-
    REST API for managing Nudgen contacts, campaigns, brand settings, and AI
    email drafts with Personal Access Token authentication.
servers:
  - url: https://nudgen.net
    description: Production
security:
  - bearerAuth: []
tags:
  - name: Identity
  - name: Contacts
  - name: Campaigns
  - name: Brand settings
  - name: AI
paths:
  /api/v1/settings/brand:
    patch:
      tags:
        - Brand settings
      summary: Update brand settings
      operationId: updateBrandSettings
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateBrandSettingsRequest'
      responses:
        '200':
          description: Updated brand settings
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BrandSettings'
        '400':
          $ref: '#/components/responses/BadRequest'
components:
  schemas:
    UpdateBrandSettingsRequest:
      type: object
      properties:
        brandName:
          type:
            - string
            - 'null'
        brandDescription:
          type:
            - string
            - 'null'
        brandEmail:
          type:
            - string
            - 'null'
          format: email
        websiteUrl:
          type:
            - string
            - 'null'
          format: uri
        emailLanguage:
          type:
            - string
            - 'null'
        logoUrl:
          type:
            - string
            - 'null'
          format: uri
        brandDesignSystem:
          type:
            - object
            - 'null'
          additionalProperties: true
    BrandSettings:
      type: object
      properties:
        brandName:
          type:
            - string
            - 'null'
        brandDescription:
          type:
            - string
            - 'null'
        brandEmail:
          type:
            - string
            - 'null'
          format: email
        websiteUrl:
          type:
            - string
            - 'null'
          format: uri
        emailLanguage:
          type:
            - string
            - 'null'
        logoUrl:
          type:
            - string
            - 'null'
          format: uri
        brandDesignSystem:
          type:
            - object
            - 'null'
          additionalProperties: true
        brandDesignMarkdown:
          type:
            - string
            - 'null'
    ErrorResponse:
      type: object
      properties:
        error:
          type: string
  responses:
    BadRequest:
      description: Validation error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: PAT
      description: Personal Access Token created from Settings -> API Keys.

````